//Responsive Controls
// Harbuger menu
$("#hmenu a").click(function() {
    $('.bar').toggleClass('animate');
    if ($("#oer_sidebar").hasClass("hide")) {
        $("#oer_sidebar").removeClass("hide");
    } else {
        $("#oer_sidebar").addClass("hide");
    }
});

//Navigation

var navi = 0;


$(document).on("click", "#page1-2", function() {

    $("#oer_investigation").empty();

    $("#oer_investigation").append("<p>II. Στην υπολογιστική <strong>εφαρμογή</strong> που συνοδεύει το αντικείμενο σημειώνεται, για λόγους απλοποίησης, να μη ληφθεί υπόψη στους υπολογισμούς η πίεση που επικρατεί στον στροφαλοθάλαμο της μηχανής. <br/> Ας δεχθούμε ότι στην πράξη η πίεση στον στροφαλοθάλαμο μιας 4-χρονης ΜΕΚ είναι ίση με την ατμοσφαιρική (p≈1bar). Πως θα επηρεάσει κατά τη γνώμη σας, το νέο αυτό δεδομένο τα αποτελέσματα στα οποία καταλήξατε στην Εφαρμογή;</p>");

    $("#oer_investigation").append("<div class=\"navigation\"><a  id=\"page2-1\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"Προηγούμενο\"><i class=\"fas fa-chevron-circle-left\"></i></a></div>");

});


$(document).on("click", "#page2-1", function() {

    $("#oer_investigation").empty();

    $("#oer_investigation").append("<p class='theoryTex'>I. Διατηρώντας σταθερά τα δεδομένα της <strong>εφαρμογής</strong>  (p=30bar, φ = 10<sup>o</sup>, L=0,5m), δοκιμάστε να αλλάξετε μόνο τον τύπο του οχήματος από το αντίστοιχο μενού. Τι μεταβολές παρατηρείτε στους υπολογισμούς των φυσικών μεγεθών; Με ποιον τρόπο     συνδέονται οι δυνάμεις και η αποδιδόμενη<br/>ροπή με τα γεωμετρικά χαρακτηριστικά του αντικειμένου;</p>");
    $("#oer_investigation").append("<div class=\"navigation\"><a  id=\"page1-2\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"Επόμενο\"><i class=\"fas fa-chevron-circle-right\"></i></a></div>");


});


// Controls Show / Hide
$("#p0_toggle").click(function() {
    if ($("#p0").hasClass("show")) {
        $("#p0_toggle i").removeClass("fa-chevron-circle-down");
        $("#p0_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p0_toggle i").removeClass("fa-chevron-circle-up");
        $("#p0_toggle i").addClass("fa-chevron-circle-down");
    }
});

$("#p1_toggle").click(function() {
    if ($("#p1").hasClass("show")) {
        $("#p1_toggle i").removeClass("fa-chevron-circle-down");
        $("#p1_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p1_toggle i").removeClass("fa-chevron-circle-up");
        $("#p1_toggle i").addClass("fa-chevron-circle-down");
    }
});

$("#p2_toggle").click(function() {
    if ($("#p2").hasClass("show")) {
        $("#p2_toggle i").removeClass("fa-chevron-circle-down");
        $("#p2_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p2_toggle i").removeClass("fa-chevron-circle-up");
        $("#p2_toggle i").addClass("fa-chevron-circle-down");
    }
});

$("#p3_toggle").click(function() {
    if ($("#p3").hasClass("show")) {
        $("#p3_toggle i").removeClass("fa-chevron-circle-down");
        $("#p3_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p3_toggle i").removeClass("fa-chevron-circle-up");
        $("#p3_toggle i").addClass("fa-chevron-circle-down");
    }
});
$("#p4_toggle").click(function() {
    if ($("#p4").hasClass("show")) {
        $("#p4_toggle i").removeClass("fa-chevron-circle-down");
        $("#p4_toggle i").addClass("fa-chevron-circle-up");
    } else {
        $("#p4_toggle i").removeClass("fa-chevron-circle-up");
        $("#p4_toggle i").addClass("fa-chevron-circle-down");
    }
});

// Minus and Plus buttons
function p_minus_click() {
    piesi_p = $("#num_piesi_p").val();
    if (piesi_p > config.piesi_p_min) {
        piesi_p--;
        $("#num_piesi_p").val(piesi_p);
        $("#num_piesi_p").val(piesi_p);
        piesi_p_changed();
    }
}

function p_plus_click() {
    piesi_p = $("#num_piesi_p").val();
    if (piesi_p < config.piesi_p_max) {
        piesi_p++;
        $("#num_piesi_p").val(piesi_p);
        $("#piesi_p").val(piesi_p);
        piesi_p_changed();
    }
}

function f_minus_click() {
    power_f = $("#num_power_f").val();
    if (power_f > config.power_f_min) {
        power_f--;
        $("#num_power_f").val(power_f);
        $("#power_f").val(power_f);
        power_f_changed();
    }
}

function f_plus_click() {
    power_f = $("#num_power_f").val();
    if (power_f < config.power_f_max) {
        power_f++;
        $("#num_power_f").val(power_f);
        $("#power_f").val(power_f);
        power_f_changed();
    }
}

function length_minus_click() {
    length_l = parseFloat($("#num_length").val());
    if (length_l > config.length_l_min) {
        length_l -= 0.1;
        length_l = length_l.toFixed(1);
        $("#num_length").val(length_l);
        $("#length").val(length_l);
        length_l_changed();
    }


}

function length_plus_click() {
    length_l = parseFloat($("#num_length").val());
    console.log(length_l);
    if (length_l < config.length_l_max) {
        length_l += 0.1;
        length_l = length_l.toFixed(1);
        $("#num_length").val(length_l);
        $("#length").val(length_l);
        length_l_changed();
    }
}

function angle_minus_click() {
    angle = $("#num_angle").val();
    if (angle > config.angle_min) {
        angle--;
        $("#num_angle").val(angle);
        $("#angle").val(angle);
        angle_changed();
    }
}

function angle_plus_click() {
    angle = $("#num_angle").val();
    if (angle < config.angle_max) {
        angle++;
        $("#num_angle").val(angle);
        $("#angle").val(angle);
        angle_changed();
    }
}

$("#p_minus").on('click', p_minus_click);
$("#p_plus").on('click', p_plus_click);
$("#f_minus").on('click', f_minus_click);
$("#f_plus").on('click', f_plus_click);
$("#length_minus").on('click', length_minus_click);
$("#length_plus").on('click', length_plus_click);
$("#angle_minus").on('click', angle_minus_click);
$("#angle_plus").on('click', angle_plus_click);

// Locks
//Lock Piesi
$("#lock_p").click(function() {
    if ($("#lock_p").hasClass("fa-unlock")) {
        $("#lock_p").css("color", "#d96214");
        $("#lock_p").removeClass("fa-unlock");
        $("#lock_p").addClass("fa-lock");
        $("#piesi_p").prop('disabled', true);
        $("#num_piesi_p").prop('disabled', true);
        $("#p_minus").off('click');
        $("#p_plus").off('click');
    } else {
        $("#lock_p").css("color", "black");
        $("#lock_p").removeClass("fa-lock");
        $("#lock_p").addClass("fa-unlock");
        $("#piesi_p").prop('disabled', false);
        $("#num_piesi_p").prop('disabled', false);
        $("#p_minus").on("click", f_minus_click);
        $("#p_plus").on("click", f_plus_click);
    }
});

//Lock Length
$("#lock_l").click(function() {
    if ($("#lock_l").hasClass("fa-unlock")) {
        $("#lock_l").css("color", "#d96214");
        $("#lock_l").removeClass("fa-unlock");
        $("#lock_l").addClass("fa-lock");
        $("#length").prop('disabled', true);
        $("#num_length").prop('disabled', true);
        $("#length_minus").off('click');
        $("#length_plus").off('click');
    } else {
        $("#lock_l").css("color", "black");
        $("#lock_l").removeClass("fa-lock");
        $("#lock_l").addClass("fa-unlock");
        $("#length").prop('disabled', false);
        $("#num_length").prop('disabled', false);
        $("#length_minus").on("click", length_minus_click);
        $("#length_plus").on("click", length_plus_click);
    }
});
//Lock Angle
$("#lock_a").click(function() {
    if ($("#lock_a").hasClass("fa-unlock")) {
        $("#lock_a").css("color", "#d96214");
        $("#lock_a").removeClass("fa-unlock");
        $("#lock_a").addClass("fa-lock");
        $("#angle").prop('disabled', true);
        $("#num_angle").prop('disabled', true);
        $("#angle_minus").off('click');
        $("#angle_plus").off('click');
    } else {
        $("#lock_a").css("color", "black");
        $("#lock_a").removeClass("fa-lock");
        $("#lock_a").addClass("fa-unlock");
        $("#angle").prop('disabled', false);
        $("#num_angle").prop('disabled', false);
        $("#angle_minus").on("click", angle_minus_click);
        $("#angle_plus").on("click", angle_plus_click);
    }
});
// Theory Button
$("#btn_theory").click(function() {
    if ($("#oer_theory").hasClass("hide")) {
        $("#oer_theory").removeClass("hide");
        $("#btn_theory").addClass("active");
        $("#oer_application").addClass("hide");
        $("#btn_application").removeClass("active");
        $("#oer_investigation").addClass("hide");
        $("#btn_investigation").removeClass("active");
    } else {
        $("#oer_theory").addClass("hide");
        $("#btn_theory").removeClass("active");
    }
});


// Application Button
$("#btn_application").click(function() {
    if ($("#oer_application").hasClass("hide")) {
        $("#oer_theory").addClass("hide");
        $("#btn_theory").removeClass("active");
        $("#oer_application").removeClass("hide");
        $("#btn_application").addClass("active");
        $("#oer_investigation").addClass("hide");
        $("#btn_investigation").removeClass("active");
    } else {
        $("#oer_application").addClass("hide");
        $("#btn_application").removeClass("active");
    }
});


// Investigation Button
$("#btn_investigation").click(function() {
    if ($("#oer_investigation").hasClass("hide")) {
        $("#oer_theory").addClass("hide");
        $("#btn_theory").removeClass("active");
        $("#oer_application").addClass("hide");
        $("#btn_application").removeClass("active");
        $("#oer_investigation").removeClass("hide");
        $("#btn_investigation").addClass("active");
    } else {
        $("#oer_investigation").addClass("hide");
        $("#btn_investigation").removeClass("active");
    }
});

// Oxima Buttons

$("#scooter").click(function() {
    $(this).addClass("active");
    $("#car").removeClass("active");
    $("#bus").removeClass("active");
    showVehicleVal(scooter);
    calc();
});

$("#car").click(function() {
    $(this).addClass("active");
    $("#scooter").removeClass("active");
    $("#bus").removeClass("active");
    showVehicleVal(car);
    calc();
});

$("#bus").click(function() {
    $(this).addClass("active");
    $("#scooter").removeClass("active");
    $("#car").removeClass("active");
    showVehicleVal(bus);
    calc();
});

// Show/Hide Shapes
$("#moxlobraxionas").click(function() {
    if ($("#showD").hasClass("hidden")) {
        $("#showD").removeClass("hidden");
        $("#showD").addClass("opened");
        $("#showD").show();
        addShapesOnStage();
    } else
    if ($("#showD").hasClass("opened")) {
        $("#showD").removeClass("opened");
        $("#showD").addClass("hidden");
        $("#showD").hide();
        removeShapesOnStage();
    }
});

$("#ropi").click(function() {
    if ($("#showM").hasClass("hidden")) {
        $("#showM").removeClass("hidden");
        $("#showM").addClass("opened");
        $("#showM").show();
        addShapesOnStage();
    } else
    if ($("#showM").hasClass("opened")) {
        $("#showM").removeClass("opened");
        $("#showM").addClass("hidden");
        $("#showM").hide();
        removeShapesOnStage();
    }
});

$("#fg").click(function() {
    if ($("#showF").hasClass("hidden")) {
        $("#showF").removeClass("hidden");
        $("#showF").addClass("opened");
        $("#showF").show();
        addForceOnStage();
    } else
    if ($("#showF").hasClass("opened")) {
        $("#showF").removeClass("opened");
        $("#showF").addClass("hidden");
        $("#showF").hide();
        removeForceOnStage();
    }
});